- [HTTP request](https://docs.cloud.google.com/compute/docs/reference/rest/v1/instanceGroups/get#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/compute/docs/reference/rest/v1/instanceGroups/get#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/compute/docs/reference/rest/v1/instanceGroups/get#body.request_body)
- [Response body](https://docs.cloud.google.com/compute/docs/reference/rest/v1/instanceGroups/get#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/compute/docs/reference/rest/v1/instanceGroups/get#body.InstanceGroup.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/compute/docs/reference/rest/v1/instanceGroups/get#body.aspect)
- [Try it!](https://docs.cloud.google.com/compute/docs/reference/rest/v1/instanceGroups/get#try-it)

Returns the specified zonal instance group. instanceGroups.get a list of available zonal instance groups by making a `list()` request.

For managed instance groups, use the [instanceGroupManagers](https://cloud.google.com/compute/docs/reference/rest/v1/instanceGroupManagers) or [regionInstanceGroupManagers](https://cloud.google.com/compute/docs/reference/rest/v1/regionInstanceGroupManagers) methods instead.

### HTTP request

Choose an endpoint:
global africa-south1 asia-east1 asia-east2 asia-northeast1 asia-northeast2 asia-northeast3 asia-south1 asia-south2 asia-southeast1 asia-southeast2 asia-southeast3 australia-southeast1 australia-southeast2 europe-central2 europe-north1 europe-north2 europe-southwest1 europe-west1 europe-west10 europe-west12 europe-west2 europe-west3 europe-west4 europe-west6 europe-west8 europe-west9 me-central1 me-central2 me-west1 northamerica-northeast1 northamerica-northeast2 northamerica-south1 southamerica-east1 southamerica-west1 us-central1 us-east1 us-east4 us-east5 us-south1 us-west1 us-west2 us-west3 us-west4   
`GET https://compute.googleapis.com/compute/v1/projects/{project}/zones/{zone}/instanceGroups/{instanceGroup}`

<br />

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `project` | `string` Project ID for this request. |
| `zone` | `string` The name of the [zone](https://cloud.google.com/compute/docs/regions-zones/#available) where the instance group is located. |
| `instanceGroup` | `string` The name of the instance group. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `instanceGroup`: - `compute.instanceGroups.get` |

### Request body

The request body must be empty.

### Response body

Represents an Instance Group resource.

Instance Groups can be used to configure a target for [load balancing](https://cloud.google.com/load-balancing/docs/choosing-load-balancer).

Instance groups can either be managed or unmanaged.

To create [managed instance groups](https://cloud.google.com/compute/docs/instance-groups/#managed_instance_groups), use the `instanceGroupManager` or `regionInstanceGroupManager` resource instead.

Use zonal unmanaged instance groups if you need to apply [load balancing](https://cloud.google.com/load-balancing/docs/choosing-load-balancer) to groups of heterogeneous instances or if you need to manage the instances yourself. You cannot create regional unmanaged instance groups.

For more information, read [Instance groups](https://cloud.google.com/compute/docs/instance-groups).

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "kind": string, "id": string, "creationTimestamp": string, "name": string, "description": string, "namedPorts": [ { "name": string, "port": integer } ], "network": string, "fingerprint": string, "zone": string, "selfLink": string, "size": integer, "region": string, "subnetwork": string } ``` |

| Fields ||
|---|---|
| `kind` | `string` Output only. The resource type, which is always `compute#instanceGroup` for instance groups. |
| `id` | `string (https://developers.google.com/discovery/v1/type-format format)` Output only. A unique identifier for this instance group, generated by the server. |
| `creationTimestamp` | `string` Output only. The creation timestamp for this instance group in [RFC3339](https://www.ietf.org/rfc/rfc3339.txt) text format. |
| `name` | `string` The name of the instance group. The name must be 1-63 characters long, and comply with [RFC1035](https://www.ietf.org/rfc/rfc1035.txt). |
| `description` | `string` An optional description of this resource. Provide this property when you create the resource. |
| `namedPorts[]` | `object` <br /> Optional. Assigns a name to a port number. For example: `{name: "http", port: 80}` This allows the system to reference ports by the assigned name instead of a port number. Named ports can also contain multiple ports. For example: `[{name: "app1", port: 8080}, {name: "app1", port: 8081}, {name: "app2", port: 8082}]` Named ports apply to all instances in this instance group. <br /> |
| `namedPorts[].name` | `string` The name for this named port. The name must be 1-63 characters long, and comply with [RFC1035](https://www.ietf.org/rfc/rfc1035.txt). |
| `namedPorts[].port` | `integer` The port number, which can be a value between 1 and 65535. |
| `network` | `string` Output only. The URL of the network to which all instances in the instance group belong. If your instance has multiple network interfaces, then the network and subnetwork fields only refer to the network and subnet used by your primary interface (nic0). |
| `fingerprint` | `string (https://developers.google.com/discovery/v1/type-format format)` Output only. The fingerprint of the named ports. The system uses this fingerprint to detect conflicts when multiple users change the named ports concurrently. A base64-encoded string. |
| `zone` | `string` Output only. The URL of the [zone](https://cloud.google.com/compute/docs/regions-zones/#available) where the instance group is located (for zonal resources). |
| `selfLink` | `string` Output only. The URL for this instance group. The server generates this URL. |
| `size` | `integer` Output only. The total number of instances in the instance group. |
| `region` | `string` Output only. The URL of the [region](https://cloud.google.com/compute/docs/regions-zones/#available) where the instance group is located (for regional resources). |
| `subnetwork` | `string` Output only. The URL of the subnetwork to which all instances in the instance group belong. If your instance has multiple network interfaces, then the network and subnetwork fields only refer to the network and subnet used by your primary interface (nic0). |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/compute.readonly`
- `
  https://www.googleapis.com/auth/compute`
- `
  https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).